Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal.tandem6530
Class FieldAttributes

    java.lang.Object
      com.mindbright.terminal.tandem6530.FieldAttributes

Direct Known Subclasses:
  IBM3270FieldAttributes

public class FieldAttributes
extends java.lang.Object

Field Summary
`static char` | `DEFAULT_DATA_ATTRIB` Use unprotected, auto-tab disabled, data type 0, MDT not set as default data attribute
`static char` | `DEFAULT_EXT_DATA_ATTRIB` Use upshift not set, keyboard and AID as default extended data attribute
`static char` | `DEFAULT_VIDEO` Use Normal Video as default video attribute

Constructor Summary
`FieldAttributes()` Constructor with attributes set to default values.
`FieldAttributes(char video, char data)` Constructor with extended attributes set to default values.
`FieldAttributes(char video, char data, char extData)` Constructor with custom values only.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`boolean` | `getAid()`
`boolean` | `getAutoTab()`
`int` | `getDataType()`
`boolean` | `getKeyboard()`
`boolean` | `getMdt()`
`boolean` | `getProtect()`
`boolean` | `getUpShift()`
`char` | `getVideoAttrib()`
`int` | `hashCode()`
`protected void` | `setAttribs(char video, char data, char extData)`
`void` | `setAutoTab(boolean set)`
`void` | `setDataType(int dataType)`
`void` | `setMdt(boolean set)`
`void` | `setProtect(boolean set)`
`void` | `setUpShift(boolean set)`
`void` | `setVideoAttrib(char videoAttrib)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_VIDEO

    public static final char DEFAULT_VIDEO

  Use Normal Video as default video attribute

  See Also:
    Constant Field Values

### DEFAULT_DATA_ATTRIB

    public static final char DEFAULT_DATA_ATTRIB

  Use unprotected, auto-tab disabled, data type 0, MDT not set as default data attribute

  See Also:
    Constant Field Values

### DEFAULT_EXT_DATA_ATTRIB

    public static final char DEFAULT_EXT_DATA_ATTRIB

  Use upshift not set, keyboard and AID as default extended data attribute

  See Also:
    Constant Field Values

Constructor Detail

### FieldAttributes

    public FieldAttributes()

  Constructor with attributes set to default values.

### FieldAttributes

    public FieldAttributes(char video,
                           char data)
                    throws ParseException

  Constructor with extended attributes set to default values.

Parameters:
  `video` - the video attribute as defined on page 3-20
  `data` - the data attributes as defined on page 3-37
Throws:
  `ParseException` - on error in the arguments

### FieldAttributes

    public FieldAttributes(char video,
                           char data,
                           char extData)
                    throws ParseException

  Constructor with custom values only.

Parameters:
  `video` - the video attribute as defined on page 3-20
  `data` - the data attributes as defined on page 3-37
  `extData` - the extended data attributes as defined on page 3-38
Throws:
  `ParseException` - on error in the arguments

Method Detail

### setAttribs

    protected void setAttribs(char video,
                              char data,
                              char extData)
                       throws ParseException

  Throws:
    `ParseException`

### getVideoAttrib

    public char getVideoAttrib()

### setVideoAttrib

    public void setVideoAttrib(char videoAttrib)

### getMdt

    public boolean getMdt()

### setMdt

    public void setMdt(boolean set)

### getAutoTab

    public boolean getAutoTab()

### setAutoTab

    public void setAutoTab(boolean set)

### getProtect

    public boolean getProtect()

### setProtect

    public void setProtect(boolean set)

### getDataType

    public int getDataType()

### setDataType

    public void setDataType(int dataType)

### getUpShift

    public boolean getUpShift()

### setUpShift

    public void setUpShift(boolean set)

### getKeyboard

    public boolean getKeyboard()

### getAid

    public boolean getAid()

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object o)

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD